Bug 175659

Summary: games/minetest: partial update to 0.4.4
Product: Ports & Packages Reporter: proler
Component: Individual Port(s)Assignee: Dmitry Marakasov <amdmi3>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description proler 2013-01-28 22:30:00 UTC
its builds, but not all in makefile-plist ok (man, docs)ell 
hell with client-server

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-01-29 12:48:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-01-30 21:52:04 UTC
Author: amdmi3
Date: Wed Jan 30 21:51:54 2013
New Revision: 311276
URL: http://svnweb.freebsd.org/changeset/ports/311276

Log:
  - Update to 0.4.4
  
  PR:		175659
  Submitted by:	oleg <proler@gmail.com>

Deleted:
  head/games/minetest/files/patch-CMakeLists.txt
Modified:
  head/games/minetest/Makefile
  head/games/minetest/distinfo
  head/games/minetest/files/patch-src-CMakeLists.txt
  head/games/minetest/pkg-descr
  head/games/minetest/pkg-plist

Modified: head/games/minetest/Makefile
==============================================================================
--- head/games/minetest/Makefile	Wed Jan 30 21:36:11 2013	(r311275)
+++ head/games/minetest/Makefile	Wed Jan 30 21:51:54 2013	(r311276)
@@ -1,15 +1,9 @@
-# New ports collection makefile for:	minetest
-# Date created:		19 Jun 2011
-# Whom:			Dmitry Marakasov <amdmi3@FreeBSD.org>
-#
+# Created by: Dmitry Marakasov <amdmi3@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	minetest
-DISTVERSION=	0.4.dev-20120122-1
-PORTREVISION=	1
+PORTVERSION=	0.4.4
 CATEGORIES=	games
-MASTER_SITES=	http://mirror.amdmi3.ru/distfiles/
 
 MAINTAINER=	amdmi3@FreeBSD.org
 COMMENT=	An Infiniminer/Minecraft inspired game
@@ -17,39 +11,42 @@ COMMENT=	An Infiniminer/Minecraft inspir
 LIB_DEPENDS=	Irrlicht.1:${PORTSDIR}/x11-toolkits/irrlicht \
 		sqlite3:${PORTSDIR}/databases/sqlite3
 
+LICENSE=	LGPL21
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	celeron55
+GH_TAGNAME=	0.4.4
+GH_COMMIT=	ab06fca
+
 USE_CMAKE=	yes
+CMAKE_ARGS=	-DCUSTOM_MANDIR="${PREFIX}/man" \
+		-DCUSTOM_EXAMPLE_CONF_DIR="${EXAMPLESDIR}"
 MAKE_JOBS_SAFE=	yes
 
-WRKSRC=		${WRKDIR}/celeron55-minetest-cb05a28
-
 PORTDOCS=	*
 PORTEXAMPLES=	*
 
-OPTIONS=	CLIENT "Build client" on \
-		SERVER "Build server" on \
-		OPTIMIZED_CFLAGS "Enabled additional optimizations" on
+MAN6=		minetest.6 minetestserver.6
+
+OPTIONS_DEFINE=	CLIENT SERVER SOUND NLS DOCS EXAMPLES
+OPTIONS_DEFAULT=CLIENT SERVER SOUND NLS DOCS EXAMPLES
+CLIENT_DESC=	Build client
+SERVER_DESC=	Build server
+SOUND_DESC=	Enable sound
 
 .include <bsd.port.options.mk>
 
-.if defined(WITHOUT_NLS)
-CMAKE_ARGS+=	-DENABLE_GETTEXT:BOOL=NO
-PLIST_SUB+=	NLS="@comment "
-.else
+.if ${PORT_OPTIONS:MNLS}
+CMAKE_ARGS+=	-DENABLE_GETTEXT:BOOL=YES
 USE_GETTEXT=	yes
 LDFLAGS+=	-L${LOCALBASE}/lib
 PLIST_SUB+=	NLS=""
+.else
+CMAKE_ARGS+=	-DENABLE_GETTEXT:BOOL=NO
+PLIST_SUB+=	NLS="@comment "
 .endif
 
-.if !defined(WITH_DEBUG)
-CFLAGS+=	-DNDEBUG
-CXXFLAGS+=	-DNDEBUG
-. if defined(WITH_OPTIMIZED_CFLAGS)
-CFLAGS+=	-O3 -ffast-math -fomit-frame-pointer -funroll-loops
-CXXFLAGS+=	-O3 -ffast-math -fomit-frame-pointer -funroll-loops
-. endif
-.endif
-
-.if !defined(WITHOUT_CLIENT)
+.if ${PORT_OPTIONS:MCLIENT}
 USE_GL=		gl
 LIB_DEPENDS+=	jpeg.11:${PORTSDIR}/graphics/jpeg \
 		png15:${PORTSDIR}/graphics/png
@@ -60,7 +57,7 @@ CMAKE_ARGS+=	-DBUILD_CLIENT=0
 PLIST_SUB+=	CLIENT="@comment "
 .endif
 
-.if !defined(WITHOUT_SERVER)
+.if ${PORT_OPTIONS:MSERVER}
 CMAKE_ARGS+=	-DBUILD_SERVER=1
 PLIST_SUB+=	SERVER=""
 .else
@@ -68,23 +65,25 @@ CMAKE_ARGS+=	-DBUILD_SERVER=0
 PLIST_SUB+=	SERVER="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MSOUND}
+USE_OPENAL=	yes
+LIB_DEPENDS+=	vorbis.4:${PORTSDIR}/audio/libvorbis
+.else
+CMAKE_ARGS+=	-DENABLE_SOUND:BOOL=OFF
+.endif
+
 post-patch:
-	@${REINPLACE_CMD} -e 's|/usr/local|${PREFIX}|' \
-		${WRKSRC}/src/porting.cpp
 	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
 		${WRKSRC}/cmake/Modules/FindIrrlicht.cmake
 	@${REINPLACE_CMD} -e 's|-lpthread|${PTHREAD_LIBS}|' \
 		${WRKSRC}/src/CMakeLists.txt
-
-post-install:
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/README.txt ${DOCSDIR}/
-	${INSTALL_DATA} ${WRKSRC}/doc/changelog.txt ${DOCSDIR}/
-.endif
-.if !defined(NOPORTEXAMPLES)
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/minetest.conf.example ${EXAMPLESDIR}/
+#	@${REINPLACE_CMD} -e 's|share/man|man|; /EXAMPLE_CONF_DIR/ s|..DOCDIR.|"${EXAMPLESDIR}"|' \
+#		${WRKSRC}/CMakeLists.txt
+.if ! ${PORT_OPTIONS:MDOCS}
+	@${REINPLACE_CMD} -e '/install.*DESTINATION.*DOCDIR/I d' ${WRKSRC}/CMakeLists.txt
+.endif
+.if ! ${PORT_OPTIONS:MEXAMPLES}
+	@${REINPLACE_CMD} -e '/install.*DESTINATION.*EXAMPLE_CONF_DIR/I d' ${WRKSRC}/CMakeLists.txt
 .endif
 
 .include <bsd.port.mk>

Modified: head/games/minetest/distinfo
==============================================================================
--- head/games/minetest/distinfo	Wed Jan 30 21:36:11 2013	(r311275)
+++ head/games/minetest/distinfo	Wed Jan 30 21:51:54 2013	(r311276)
@@ -1,2 +1,2 @@
-SHA256 (minetest-0.4.dev-20120122-1.tar.gz) = 83bb1c5abd4ffeaac8e7d143ff8b48f399c38348fc7e59c4792685914436151a
-SIZE (minetest-0.4.dev-20120122-1.tar.gz) = 1932025
+SHA256 (minetest-0.4.4.tar.gz) = 127741d361e8642dd5b7e3aaad4b38bae4c19a5d1b8fac8f5acafbc2225f5de0
+SIZE (minetest-0.4.4.tar.gz) = 2104959

Modified: head/games/minetest/files/patch-src-CMakeLists.txt
==============================================================================
--- head/games/minetest/files/patch-src-CMakeLists.txt	Wed Jan 30 21:36:11 2013	(r311275)
+++ head/games/minetest/files/patch-src-CMakeLists.txt	Wed Jan 30 21:51:54 2013	(r311276)
@@ -1,54 +1,10 @@
---- src/CMakeLists.txt.orig	2012-01-23 01:05:36.000000000 +0400
-+++ src/CMakeLists.txt	2012-01-26 23:39:18.625614369 +0400
-@@ -11,23 +11,25 @@
- # this is only set to 1 if gettext is enabled _and_ available
- set(USE_GETTEXT 0)
- 
--find_package(GettextLib)
-+if(ENABLE_GETTEXT)
-+	find_package(GettextLib)
- 
--if(GETTEXT_FOUND AND ENABLE_GETTEXT)
--	message(STATUS "gettext include path: ${GETTEXT_INCLUDE_DIR}")
--	message(STATUS "gettext msgfmt path: ${GETTEXT_MSGFMT}")
--	if(WIN32)
--		message(STATUS "gettext library: ${GETTEXT_LIBRARY}")
--		message(STATUS "gettext dll: ${GETTEXT_DLL}")
--		message(STATUS "gettext iconv dll: ${GETTEXT_ICONV_DLL}")
--	endif()
--	set(USE_GETTEXT 1)
--	message(STATUS "GetText enabled; locales found: ${GETTEXT_AVAILABLE_LOCALES}")
--elseif(GETTEXT_FOUND AND NOT ENABLE_GETTEXT)
--	MESSAGE(STATUS "GetText found but disabled;")
--else(GETTEXT_FOUND AND ENABLE_GETTEXT)
-+	if(GETTEXT_FOUND)
-+		message(STATUS "gettext include path: ${GETTEXT_INCLUDE_DIR}")
-+		message(STATUS "gettext msgfmt path: ${GETTEXT_MSGFMT}")
-+		if(WIN32)
-+			message(STATUS "gettext library: ${GETTEXT_LIBRARY}")
-+			message(STATUS "gettext dll: ${GETTEXT_DLL}")
-+			message(STATUS "gettext iconv dll: ${GETTEXT_ICONV_DLL}")
-+		endif()
-+		set(USE_GETTEXT 1)
-+		message(STATUS "GetText enabled; locales found: ${GETTEXT_AVAILABLE_LOCALES}")
-+	elseif(GETTEXT_FOUND)
-+		MESSAGE(STATUS "GetText not found, disabling")
-+	endif(GETTEXT_FOUND)
-+else(ENABLE_GETTEXT)
- 	message(STATUS "GetText disabled")
--endif(GETTEXT_FOUND AND ENABLE_GETTEXT)
-+endif(ENABLE_GETTEXT)
- 
- if(NOT MSVC)
- 	set(USE_GPROF 0 CACHE BOOL "Use -pg flag for g++")
-@@ -280,8 +282,8 @@
- 		set(ARCH i386)
- 	endif()
- 
--	set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG ${RELEASE_WARNING_FLAGS} ${WARNING_FLAGS} -O3 -ffast-math -Wall -fomit-frame-pointer -pipe -funroll-loops")
--	set(CMAKE_CXX_FLAGS_DEBUG "-g -O1 -Wall ${WARNING_FLAGS}")
-+	set(CMAKE_CXX_FLAGS_RELEASE "${RELEASE_WARNING_FLAGS} ${WARNING_FLAGS} -Wall")
-+	set(CMAKE_CXX_FLAGS_DEBUG "-Wall ${WARNING_FLAGS}")
- 
- 	if(USE_GPROF)
- 		set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -pg")
+--- src/CMakeLists.txt.orig	2013-01-30 04:11:11.427933414 +0400
++++ src/CMakeLists.txt	2013-01-30 04:11:49.504933655 +0400
+@@ -316,6 +316,7 @@
+ 		${ZLIB_LIBRARIES}
+ 		${JTHREAD_LIBRARY}
+ 		${SQLITE3_LIBRARY}
++		${GETTEXT_LIBRARY}
+ 		${LUA_LIBRARY}
+ 		${PLATFORM_LIBS}
+ 	)

Modified: head/games/minetest/pkg-descr
==============================================================================
--- head/games/minetest/pkg-descr	Wed Jan 30 21:36:11 2013	(r311275)
+++ head/games/minetest/pkg-descr	Wed Jan 30 21:51:54 2013	(r311276)
@@ -1,3 +1,3 @@
 An InfiniMiner/Minecraft inspired game.
 
-WWW:	http://celeron.55.lt/~celeron55/minetest/
+WWW: http://minetest.net/

Modified: head/games/minetest/pkg-plist
==============================================================================
--- head/games/minetest/pkg-plist	Wed Jan 30 21:36:11 2013	(r311275)
+++ head/games/minetest/pkg-plist	Wed Jan 30 21:51:54 2013	(r311276)
@@ -1,139 +1,183 @@
 %%CLIENT%%bin/minetest
 %%SERVER%%bin/minetestserver
+share/applications/minetest.desktop
+share/icons/hicolor/scalable/apps/minetest-icon.svg
 %%CLIENT%%%%NLS%%share/locale/da/LC_MESSAGES/minetest.mo
 %%CLIENT%%%%NLS%%share/locale/de/LC_MESSAGES/minetest.mo
 %%CLIENT%%%%NLS%%share/locale/fr/LC_MESSAGES/minetest.mo
 %%CLIENT%%%%NLS%%share/locale/it/LC_MESSAGES/minetest.mo
-%%CLIENT%%%%DATADIR%%/builtin.lua
-%%CLIENT%%%%DATADIR%%/clienttextures/fontlucida.png
-%%CLIENT%%%%DATADIR%%/clienttextures/menubg.png
-%%CLIENT%%%%DATADIR%%/clienttextures/menulogo.png
-%%CLIENT%%%%DATADIR%%/clienttextures/unknown_block.png
-%%CLIENT%%%%DATADIR%%/clienttextures/unknown_item.png
-%%CLIENT%%%%DATADIR%%/clienttextures/unknown_object.png
-%%CLIENT%%%%DATADIR%%/mods/bucket/depends.txt
-%%CLIENT%%%%DATADIR%%/mods/bucket/init.lua
-%%CLIENT%%%%DATADIR%%/mods/bucket/textures/bucket.png
-%%CLIENT%%%%DATADIR%%/mods/bucket/textures/bucket_lava.png
-%%CLIENT%%%%DATADIR%%/mods/bucket/textures/bucket_water.png
-%%CLIENT%%%%DATADIR%%/mods/default/init.lua
-%%CLIENT%%%%DATADIR%%/mods/default/textures/crack.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_apple.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_book.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_bookshelf.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_brick.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_cactus_side.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_cactus_top.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_chest_front.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_chest_lock.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_chest_side.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_chest_top.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_clay.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_clay_brick.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_clay_lump.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_cloud.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_coal_lump.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_cobble.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_dirt.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_fence.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_furnace_front.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_furnace_side.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_glass.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_grass.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_grass_footsteps.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_grass_side.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_gravel.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_iron_lump.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_junglegrass.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_jungletree.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_jungletree_top.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_ladder.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_lava.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_leaves.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_mese.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_mineral_coal.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_mineral_iron.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_mossycobble.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_nc_back.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_nc_front.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_nc_rb.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_nc_side.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_paper.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_papyrus.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_rail.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_rail_crossing.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_rail_curved.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_rail_t_junction.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_sand.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_sandstone.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_sapling.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_scorched_stuff.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_sign.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_sign_back.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_sign_wall.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_steel_block.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_steel_ingot.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_stick.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_stone.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tnt_bottom.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tnt_side.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tnt_top.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_mesepick.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_steelaxe.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_steelpick.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_steelshovel.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_steelsword.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_stoneaxe.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_stonepick.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_stoneshovel.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_stonesword.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_woodaxe.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_woodpick.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_woodshovel.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tool_woodsword.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_torch.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_torch_on_ceiling.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_torch_on_floor.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tree.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_tree_top.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_water.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/default_wood.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/heart.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/player.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/player_back.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/skybox1.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/skybox1_dawn.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/skybox1_night.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/skybox2.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/skybox2_dawn.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/skybox2_night.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/skybox3.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/skybox3_dawn.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/skybox3_night.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/treeprop.png
-%%CLIENT%%%%DATADIR%%/mods/default/textures/wieldhand.png
-%%CLIENT%%%%DATADIR%%/mods/experimental/depends.txt
-%%CLIENT%%%%DATADIR%%/mods/experimental/init.lua
-%%CLIENT%%%%DATADIR%%/mods/give_initial_stuff/depends.txt
-%%CLIENT%%%%DATADIR%%/mods/give_initial_stuff/init.lua
-%%CLIENT%%%%DATADIR%%/mods/legacy/depends.txt
-%%CLIENT%%%%DATADIR%%/mods/legacy/init.lua
-%%CLIENT%%%%DATADIR%%/mods/legacy/textures/apple_iron.png
-%%CLIENT%%%%DATADIR%%/mods/legacy/textures/cooked_rat.png
-%%CLIENT%%%%DATADIR%%/mods/legacy/textures/dungeon_master.png
-%%CLIENT%%%%DATADIR%%/mods/legacy/textures/fireball.png
-%%CLIENT%%%%DATADIR%%/mods/legacy/textures/firefly.png
-%%CLIENT%%%%DATADIR%%/mods/legacy/textures/oerkki1.png
-%%CLIENT%%%%DATADIR%%/mods/legacy/textures/oerkki1_damaged.png
-%%CLIENT%%%%DATADIR%%/mods/legacy/textures/rat.png
-%%CLIENT%%@dirrm %%DATADIR%%/mods/legacy/textures
-%%CLIENT%%@dirrm %%DATADIR%%/mods/legacy
-%%CLIENT%%@dirrm %%DATADIR%%/mods/give_initial_stuff
-%%CLIENT%%@dirrm %%DATADIR%%/mods/experimental
-%%CLIENT%%@dirrm %%DATADIR%%/mods/default/textures
-%%CLIENT%%@dirrm %%DATADIR%%/mods/default
-%%CLIENT%%@dirrm %%DATADIR%%/mods/bucket/textures
-%%CLIENT%%@dirrm %%DATADIR%%/mods/bucket
-%%CLIENT%%@dirrm %%DATADIR%%/mods
-%%CLIENT%%@dirrm %%DATADIR%%/clienttextures
-%%CLIENT%%@dirrm %%DATADIR%%
+%%DATADIR%%/builtin/auth.lua
+%%DATADIR%%/builtin/builtin.lua
+%%DATADIR%%/builtin/chatcommands.lua
+%%DATADIR%%/builtin/deprecated.lua
+%%DATADIR%%/builtin/detached_inventory.lua
+%%DATADIR%%/builtin/falling.lua
+%%DATADIR%%/builtin/item.lua
+%%DATADIR%%/builtin/item_entity.lua
+%%DATADIR%%/builtin/misc.lua
+%%DATADIR%%/builtin/misc_helpers.lua
+%%DATADIR%%/builtin/misc_register.lua
+%%DATADIR%%/builtin/privileges.lua
+%%DATADIR%%/builtin/serialize.lua
+%%DATADIR%%/builtin/static_spawn.lua
+%%DATADIR%%/client/shaders/test_shader_1/base.txt
+%%DATADIR%%/client/shaders/test_shader_1/opengl_fragment.glsl
+%%DATADIR%%/client/shaders/test_shader_1/opengl_vertex.glsl
+%%DATADIR%%/client/shaders/test_shader_2/base.txt
+%%DATADIR%%/client/shaders/test_shader_2/opengl_fragment.glsl
+%%DATADIR%%/client/shaders/test_shader_2/opengl_vertex.glsl
+%%DATADIR%%/games/minimal/game.conf
+%%DATADIR%%/games/minimal/mods/bucket/depends.txt
+%%DATADIR%%/games/minimal/mods/bucket/init.lua
+%%DATADIR%%/games/minimal/mods/bucket/textures/bucket.png
+%%DATADIR%%/games/minimal/mods/bucket/textures/bucket_lava.png
+%%DATADIR%%/games/minimal/mods/bucket/textures/bucket_water.png
+%%DATADIR%%/games/minimal/mods/default/init.lua
+%%DATADIR%%/games/minimal/mods/default/mapgen.lua
+%%DATADIR%%/games/minimal/mods/default/sounds/default_grass_footstep.1.ogg
+%%DATADIR%%/games/minimal/mods/default/textures/crack_anylength.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_apple.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_book.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_bookshelf.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_brick.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_cactus_side.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_cactus_top.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_chest_front.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_chest_lock.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_chest_side.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_chest_top.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_clay.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_clay_brick.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_clay_lump.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_cloud.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_coal_lump.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_cobble.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_dirt.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_fence.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_furnace_fire_bg.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_furnace_fire_fg.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_furnace_front.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_furnace_front_active.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_furnace_side.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_glass.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_grass.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_grass_footsteps.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_grass_side.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_gravel.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_iron_lump.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_junglegrass.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_jungletree.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_jungletree_top.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_ladder.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_lava.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_lava_flowing_animated.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_lava_source_animated.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_leaves.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_mese.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_mineral_coal.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_mineral_iron.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_mossycobble.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_nc_back.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_nc_front.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_nc_rb.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_nc_side.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_paper.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_papyrus.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_rail.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_rail_crossing.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_rail_curved.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_rail_t_junction.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_sand.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_sandstone.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_sapling.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_scorched_stuff.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_sign_wall.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_steel_block.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_steel_ingot.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_stick.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_stone.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tnt_bottom.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tnt_side.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tnt_top.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_mesepick.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_steelaxe.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_steelpick.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_steelshovel.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_steelsword.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_stoneaxe.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_stonepick.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_stoneshovel.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_stonesword.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_woodaxe.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_woodpick.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_woodshovel.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tool_woodsword.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_torch.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_torch_on_ceiling.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_torch_on_floor.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tree.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_tree_top.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_water.png
+%%DATADIR%%/games/minimal/mods/default/textures/default_wood.png
+%%DATADIR%%/games/minimal/mods/default/textures/heart.png
+%%DATADIR%%/games/minimal/mods/default/textures/player.png
+%%DATADIR%%/games/minimal/mods/default/textures/player_back.png
+%%DATADIR%%/games/minimal/mods/default/textures/treeprop.png
+%%DATADIR%%/games/minimal/mods/default/textures/wieldhand.png
+%%DATADIR%%/games/minimal/mods/experimental/depends.txt
+%%DATADIR%%/games/minimal/mods/experimental/init.lua
+%%DATADIR%%/games/minimal/mods/experimental/textures/experimental_dummyball.png
+%%DATADIR%%/games/minimal/mods/experimental/textures/experimental_tester_tool_1.png
+%%DATADIR%%/games/minimal/mods/give_initial_stuff/depends.txt
+%%DATADIR%%/games/minimal/mods/give_initial_stuff/init.lua
+%%DATADIR%%/games/minimal/mods/legacy/depends.txt
+%%DATADIR%%/games/minimal/mods/legacy/init.lua
+%%DATADIR%%/games/minimal/mods/legacy/textures/apple_iron.png
+%%DATADIR%%/games/minimal/mods/legacy/textures/cooked_rat.png
+%%DATADIR%%/games/minimal/mods/legacy/textures/dungeon_master.png
+%%DATADIR%%/games/minimal/mods/legacy/textures/fireball.png
+%%DATADIR%%/games/minimal/mods/legacy/textures/firefly.png
+%%DATADIR%%/games/minimal/mods/legacy/textures/oerkki1.png
+%%DATADIR%%/games/minimal/mods/legacy/textures/oerkki1_damaged.png
+%%DATADIR%%/games/minimal/mods/legacy/textures/rat.png
+%%DATADIR%%/games/minimal/mods/stairs/depends.txt
+%%DATADIR%%/games/minimal/mods/stairs/init.lua
+%%DATADIR%%/games/minimal/mods/test/init.lua
+%%CLIENT%%%%DATADIR%%/textures/base/pack/fontdejavusansmono.png
+%%CLIENT%%%%DATADIR%%/textures/base/pack/fontlucida.png
+%%CLIENT%%%%DATADIR%%/textures/base/pack/menubg.png
+%%CLIENT%%%%DATADIR%%/textures/base/pack/menulogo.png
+%%CLIENT%%%%DATADIR%%/textures/base/pack/smoke_puff.png
+%%CLIENT%%%%DATADIR%%/textures/base/pack/sunrisebg.png
+%%CLIENT%%%%DATADIR%%/textures/base/pack/unknown_block.png
+%%CLIENT%%%%DATADIR%%/textures/base/pack/unknown_item.png
+%%CLIENT%%%%DATADIR%%/textures/base/pack/unknown_object.png
+%%CLIENT%%@dirrm %%DATADIR%%/textures/base/pack
+%%CLIENT%%@dirrm %%DATADIR%%/textures/base
+%%CLIENT%%@dirrm %%DATADIR%%/textures
+@dirrm %%DATADIR%%/games/minimal/mods/test
+@dirrm %%DATADIR%%/games/minimal/mods/stairs
+@dirrm %%DATADIR%%/games/minimal/mods/legacy/textures
+@dirrm %%DATADIR%%/games/minimal/mods/legacy
+@dirrm %%DATADIR%%/games/minimal/mods/give_initial_stuff
+@dirrm %%DATADIR%%/games/minimal/mods/experimental/textures
+@dirrm %%DATADIR%%/games/minimal/mods/experimental
+@dirrm %%DATADIR%%/games/minimal/mods/default/textures
+@dirrm %%DATADIR%%/games/minimal/mods/default/sounds
+@dirrm %%DATADIR%%/games/minimal/mods/default
+@dirrm %%DATADIR%%/games/minimal/mods/bucket/textures
+@dirrm %%DATADIR%%/games/minimal/mods/bucket
+@dirrm %%DATADIR%%/games/minimal/mods
+@dirrm %%DATADIR%%/games/minimal
+@dirrm %%DATADIR%%/games
+@dirrm %%DATADIR%%/client/shaders/test_shader_2
+@dirrm %%DATADIR%%/client/shaders/test_shader_1
+@dirrm %%DATADIR%%/client/shaders
+@dirrm %%DATADIR%%/client
+@dirrm %%DATADIR%%/builtin
+@dirrm %%DATADIR%%
+@dirrmtry share/icons/hicolor/scalable/apps
+@dirrmtry share/icons/hicolor/scalable
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2013-01-30 21:55:49 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!